Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.wrapper
Class CK_RSA_PKCS_OAEP_PARAMS

    java.lang.Object
      iaik.pkcs.pkcs11.wrapper.CK_RSA_PKCS_OAEP_PARAMS

public class CK_RSA_PKCS_OAEP_PARAMS
extends Object

class CK_RSA_PKCS_OAEP_PARAMS provides the parameters to the CKM_RSA_PKCS_OAEP mechanism.

PKCS#11 structure:

     typedef struct CK_RSA_PKCS_OAEP_PARAMS {
       CK_MECHANISM_TYPE hashAlg;
       CK_RSA_PKCS_OAEP_MGF_TYPE mgf;
       CK_RSA_PKCS_OAEP_SOURCE_TYPE source;
       CK_VOID_PTR pSourceData;
       CK_ULONG ulSourceDataLen;
     } CK_RSA_PKCS_OAEP_PARAMS;

Field Summary
`long` | `hashAlg` PKCS#11: CK_MECHANISM_TYPE hashAlg;
`long` | `mgf` PKCS#11: CK_RSA_PKCS_OAEP_MGF_TYPE mgf;
`byte[]` | `pSourceData` PKCS#11: CK_VOID_PTR pSourceData; CK_ULONG ulSourceDataLen;
`long` | `source` PKCS#11: CK_RSA_PKCS_OAEP_SOURCE_TYPE source;

Constructor Summary
`CK_RSA_PKCS_OAEP_PARAMS()`

Method Summary
`String` | `toString()` Returns the string representation of CK_RSA_PKCS_OAEP_PARAMS.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### hashAlg

    public long hashAlg

  PKCS#11:

         CK_MECHANISM_TYPE hashAlg;

### mgf

    public long mgf

  PKCS#11:

         CK_RSA_PKCS_OAEP_MGF_TYPE mgf;

### source

    public long source

  PKCS#11:

         CK_RSA_PKCS_OAEP_SOURCE_TYPE source;

### pSourceData

    public byte[] pSourceData

  PKCS#11:

         CK_VOID_PTR pSourceData;
         CK_ULONG ulSourceDataLen;

Constructor Detail

### CK_RSA_PKCS_OAEP_PARAMS

    public CK_RSA_PKCS_OAEP_PARAMS()

Method Detail

### toString

    public String toString()

  Returns the string representation of CK_RSA_PKCS_OAEP_PARAMS.

  Returns:
    the string representation of CK_RSA_PKCS_OAEP_PARAMS

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.